# pui-react-dropdowns

A React dropdown component

Pivotal UI React ([GitHub](https://github.com/pivotal-cf/pivotal-ui-react), [npm](https://www.npmjs.com/browse/keyword/pivotal%20ui%20modularized)) is a collection of [React](https://facebook.github.io/react/) components for rapidly building and prototyping UIs.

This component requires React v0.13

See the [Pivotal UI Styleguide](http://styleguide.pivotal.io/) for fully rendered examples.

## Components

### Dropdown

A menu that opens when triggered by a button

```js
var Dropdown = require('pui-react-dropdowns').Dropdown;
var DropdownItem = require('pui-react-dropdowns').DropdownItem;
var MyComponent = React.createClass({
  render() {
    return (
      <Dropdown title="Click to Open">
        <DropdownItem href="https://google.com">Link to Google</DropdownItem>
        <DropdownItem divider/>
        <DropdownItem href="https://imgur.com">Separated from the first link by horizontal line</DropdownItem>
      </Dropdown>
    );
  }
});
```

#### Properties

- `title`
  - `String`: Sets the text of the dropdown trigger button


### DropdownItem

Denotes the elements of a dropdown menu



#### Properties

- `href`
  - `String`: A URL to link to

- `divider`
  - `Boolean`: If set, inserts a horizontal line instead of a link


### LinkDropdown

An alternate style for the dropdown trigger button



#### Properties

- `title`
  - `String`: Sets the text of the dropdown trigger button


### DefaultAltDropdown

An alternate style for the dropdown trigger button



#### Properties

- `title`
  - `String`: Sets the text of the dropdown trigger button


### LowlightDropdown

An alternate style for the dropdown trigger button



#### Properties

- `title`
  - `String`: Sets the text of the dropdown trigger button


### DangerDropdown

An alternate style for the dropdown trigger button



#### Properties

- `title`
  - `String`: Sets the text of the dropdown trigger button


### HighlightDropdown

An alternate style for the dropdown trigger button



#### Properties

- `title`
  - `String`: Sets the text of the dropdown trigger button


### HighlightAltDropdown

An alternate style for the dropdown trigger button



#### Properties

- `title`
  - `String`: Sets the text of the dropdown trigger button


*****************************************

(c) Copyright 2015 Pivotal Software, Inc. All Rights Reserved.
